Document Sorting
Status: Closed Start date: 2010-03-10
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Documents Estimated time: 0.00 hour

Target version:

Resolution:

Description

It would be nice if there were some options for sorting documents. It appears that documents are listed in the order in which they are
added. It would also be nice to sort the documents alphabetically.

History

#1 - 2010-08-06 11:42 - Moritz Voss

+1

#2 - 2010-12-02 20:57 - Jan F Westerkamp

Is this still active?

The same request came from my users at the university.

In the 1.0-stable branch r4450 you can sort documents by title, date etc.
but if you had files e.g

"101115 printout" uploaded November 29th and
"101105 printout" uploaded on the same day but 3 minutes later

you get the order shown above if you sort by title even though you would expect it to be the other way around.

#3 - 2011-09-13 19:59 - Zee Prime

- Status changed from New to Resolved

Index: documents_controller.rb

——— documents_controller.rb
+++ documents_controller.rb
@@ -27,7 +27,7 @@

def index

@sort_by = %$w(category date title author).include? (params|[:sort_by]) ? params|[:sort_by] : 'category'
= documents = @project.documents.find :all, :include => [:attachments, :category]
+ documents = @project.documents.find :all, :include => [:attachments, :category], :order => 'title ASC'

case @sort_by
when 'date'
@grouped = documents.group_by {|d| d.updated_on.to_date }

#4 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#5 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

#6 - 2013-01-16 21:45 - Art Rodriguez
- File doc_sort_options.png added

- File doc_sort_error.png added

Document sort on title only appears to be sorting on the first letter of the title, not the entire title.
https://www.redmine.org/projects/redmine/repository/svn/revisions/4450

Files

doc_sort_options.png 1.89 KB 2013-01-16 Art Rodriguez
doc_sort_error.png 37 KB 2013-01-16 Art Rodriguez
